locked
Can't create website for MDS in Windows 10 RRS feed

  • Question

  • I'm following the Training Kit for Exam 70-463 and in chapter 15 where I am creating the web-site for MDS, I'm getting an error. I am using SQL Server 2014, not 2012, but the dialogue looks the same so I think it should work.

    Initially I had problems as there was already a website binding on port 8080 for TFS but I updated that to use 9090 so I could set my MDS website up with the same parameters as the book was instructing me.

    The error dialogue I get when I click OK on Create Website is entitled Site name not valid (I've used MDS as shown in the sample) and the body text is "The site could not be created. The error is The directory property cannot be found in the cache".

    I did follow the instructions for setting up the roles and features. The only difference was that where the instructions said to include ASP .NET 4.5, the version on my PC is 4.6. I have assumed that's probably OK?

    Can anyone help me address this? I'm not at all familiar with IIS.


    Nick Ryan SQL Server Developer OnePath (NZ) Ltd

    Thursday, January 14, 2016 7:33 AM

Answers

  • I don't know if this is valid but in 
    Hardware and Software Requirements for Installing SQL Server 2014 On MSDN
    https://msdn.microsoft.com/en-us/library/ms143506(v=sql.120).aspx#Anchor_0

    It states:
    .NET 3.5 SP1 is a requirement for SQL Server 2014 when you select Database Engine, Reporting Services, Master Data Services, Data Quality Services, Replication, or SQL Server Management Studio, and it is no longer installed by SQL Server Setup. 

    SQL Server DEvelpoer Edition should support Win 10 but further down it states that:

    Before you install SQL Server on a computer that is running Windows 10, you must make sure that you fulfill the following minimum requirements:

    • For SQL Server 2014, you must apply SQL Server 2014 Service Pack 1 or a later update. 

    Hope that this helps.

    BR Fredrik

    Saturday, September 24, 2016 11:08 PM

All replies

  • Did you ever get this resolved?

    I'm currently hitting the same issue.


    Martin Smith: Stack Overflow dba.stackexchange.com

    Wednesday, May 11, 2016 6:15 PM
  • I don't know if this is valid but in 
    Hardware and Software Requirements for Installing SQL Server 2014 On MSDN
    https://msdn.microsoft.com/en-us/library/ms143506(v=sql.120).aspx#Anchor_0

    It states:
    .NET 3.5 SP1 is a requirement for SQL Server 2014 when you select Database Engine, Reporting Services, Master Data Services, Data Quality Services, Replication, or SQL Server Management Studio, and it is no longer installed by SQL Server Setup. 

    SQL Server DEvelpoer Edition should support Win 10 but further down it states that:

    Before you install SQL Server on a computer that is running Windows 10, you must make sure that you fulfill the following minimum requirements:

    • For SQL Server 2014, you must apply SQL Server 2014 Service Pack 1 or a later update. 

    Hope that this helps.

    BR Fredrik

    Saturday, September 24, 2016 11:08 PM